Index: sansmodels/src/sans/models/c_extensions/WrapperGenerator.py
===================================================================
--- sansmodels/src/sans/models/c_extensions/WrapperGenerator.py	(revision 96672c05d2a444bfc0ce599c2ae50b1825f6e049)
+++ sansmodels/src/sans/models/c_extensions/WrapperGenerator.py	(revision 4d3acb623faa6fedffe5a92118fd06958535f684)
@@ -147,5 +147,7 @@
                     break
                 else:
-                    print re.search("//",line)
+                    if re.search("*",line)!=None:
+                        temp=line.split("//",1)
+                        self.description+='\n'+temp[1].lstrip().rstrip()
                     if re.search("//",line)!=None:
                         temp=line.split("//",1)
@@ -153,5 +155,5 @@
                         
                     else:
-                        self.description+=line
+                        self.description+='\n'+line.lstrip().rstrip()
                     
                 
Index: sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h	(revision 96672c05d2a444bfc0ce599c2ae50b1825f6e049)
+++ sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h	(revision 4d3acb623faa6fedffe5a92118fd06958535f684)
@@ -7,23 +7,23 @@
  //[PYTHONCLASS] = CoreShellCylinderModel
  //[DISP_PARAMS] = radius, thickness, length, axis_theta, axis_phi
- //[DESCRIPTION] = <text>"P(q,alpha)= scale/Vs*f(q)^(2) + bkg  Where:\n\
-						 f(q)= 2(core_sld- solvant_sld)* Vc*sin[qLcos(alpha/2)]/\n\
-						[qLcos(alpha/2)]*J1(qRsin(alpha))/[qRsin(alpha)] +\n 2(shell_sld-solvent_sld)*Vs\n\
-						*sin[q(L+T)cos(alpha/2)]/[[q(L+T)cos(alpha/2)]\n\
-						*J1(q(R+T)sin(alpha))/q(R+T)sin(alpha)]\n\
-						alpha:is the angle between the axis of the cylinder and the q-vector\n\
-						Vs: the volume of the outer shell\n\
- 						Vc: the volume of the core\n\
- 						L: the length of the core\n\
-     					shell_sld: the scattering length density of the shell\n\
-						solvent_sld: the scattering length density of the solvent\n\
- 						bkg: the background\n\
- 						T: the thickness\n\
-    					R+T: is the outer radius\n\
- 						L+2T: The total length of the outershell\n\
-						J1: the first order Bessel function\n\
- 						theta: axis_theta of the cylinder\n\
- 						phi: the axis_phi of the cylinder"\
-					</text>
+ //[DESCRIPTION] = <text>P(q,alpha)= scale/Vs*f(q)^(2) + bkg  Where:\n\
+ //						 f(q)= 2(core_sld- solvant_sld)* Vc*sin[qLcos(alpha/2)]/\n\
+ //						[qLcos(alpha/2)]*J1(qRsin(alpha))/[qRsin(alpha)] +\n 2(shell_sld-solvent_sld)*Vs
+ //						*sin[q(L+T)cos(alpha/2)]/[[q(L+T)cos(alpha/2)]
+ //						*J1(q(R+T)sin(alpha))/q(R+T)sin(alpha)]
+ //						alpha:is the angle between the axis of the cylinder and the q-vector
+ //						Vs: the volume of the outer shell
+ //						Vc: the volume of the core
+ //						L: the length of the core
+ //    					shell_sld: the scattering length density of the shell
+ //						solvent_sld: the scattering length density of the solvent
+ //						bkg: the background
+ //						T: the thickness
+ //    					R+T: is the outer radius
+ // 					L+2T: The total length of the outershell
+ //						J1: the first order Bessel function
+ // 					theta: axis_theta of the cylinder
+ // 					phi: the axis_phi of the cylinder
+ //					</text>
 
 typedef struct {
Index: sansmodels/src/sans/models/c_extensions/cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/cylinder.h	(revision 96672c05d2a444bfc0ce599c2ae50b1825f6e049)
+++ sansmodels/src/sans/models/c_extensions/cylinder.h	(revision 4d3acb623faa6fedffe5a92118fd06958535f684)
@@ -5,14 +5,14 @@
  * [PYTHONCLASS] = CylinderModel
  * [DISP_PARAMS] = radius, length, cyl_theta, cyl_phi
-   [DESCRIPTION] = <text>"P(q,alpha)= scale/V*f(q)^(2)+bkg\n\
-						f(q)= 2*(scatter_sld - solvent_sld)*V*sin(qLcos(alpha/2))/[qLcos(alpha/2)]*\n\
-						J1(qRsin(alpha/2))/[qRsin(alpha)]\n\
-						V: Volume of the cylinder\n\
-						R: Radius of the cylinder\n\
-						L: Length of the cylinder\n\
-						J1: The bessel function\n\
-						alpha: angle betweenthe axis of the cylinder and the q-vector\n\
-						for 1D:the ouput is P(q)=scale/V*integral from pi/2 to zero of f(q)^(2)*\n\
-						sin(alpha)*dalpha+ bkg"
+   [DESCRIPTION] = <text>P(q,alpha)= scale/V*f(q)^(2)+bkg
+						f(q)= 2*(scatter_sld - solvent_sld)*V*sin(qLcos(alpha/2))/[qLcos(alpha/2)]*
+						J1(qRsin(alpha/2))/[qRsin(alpha)]
+						V: Volume of the cylinder
+						R: Radius of the cylinder
+						L: Length of the cylinder
+						J1: The bessel function
+						alpha: angle betweenthe axis of the cylinder and the q-vector
+						for 1D:the ouput is P(q)=scale/V*integral from pi/2 to zero of f(q)^(2)*
+						sin(alpha)*dalpha+ bkg
 					</text>
 	
Index: sansmodels/src/sans/models/c_extensions/ellipsoid.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/ellipsoid.h	(revision 96672c05d2a444bfc0ce599c2ae50b1825f6e049)
+++ sansmodels/src/sans/models/c_extensions/ellipsoid.h	(revision 4d3acb623faa6fedffe5a92118fd06958535f684)
@@ -10,13 +10,13 @@
  //[DISP_PARAMS] = radius_a, radius_b, axis_theta, axis_phi
  //[DESCRIPTION] = <text>"P(q.alpha)= scale*f(q)^(2)+ bkg\n\
-						f(q)= 3*(scatter_sld- scatter_solvent)*V*[sin(q*r(Ra,Rb,alpha)) - q*r*cos(qr(Ra,Rb,alpha))]\n\
-							/[qr(Ra,Rb,alpha)]^(3)"\
-						r(Ra,Rb,alpha)= [Rb^(2)*(sin(alpha))^(2) + Ra^(2)*(cos(alpha))^(2)]^(1/2)\
-						scatter_sld: scattering length density of the scatter\n\
-						solvent_sld: scattering length density of the solvent\n\
-						V: volune of the Eliipsoid\n\
-						Ra: radius along the rotation axis of the Ellipsoid\n\
-						Rb: radius perpendicular to the rotation axis of the ellipsoid\n\
-						</text>
+ //					f(q)= 3*(scatter_sld- scatter_solvent)*V*[sin(q*r(Ra,Rb,alpha)) - q*r*cos(qr(Ra,Rb,alpha))]
+ //							/[qr(Ra,Rb,alpha)]^(3)"
+ //						r(Ra,Rb,alpha)= [Rb^(2)*(sin(alpha))^(2) + Ra^(2)*(cos(alpha))^(2)]^(1/2)
+ //						scatter_sld: scattering length density of the scatter
+ //						solvent_sld: scattering length density of the solvent
+ //						V: volune of the Eliipsoid
+ //						Ra: radius along the rotation axis of the Ellipsoid
+ //						Rb: radius perpendicular to the rotation axis of the ellipsoid
+ //						</text>
 typedef struct {
     /// Scale factor
